<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:12 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>IdeaDependency (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="IdeaDependency (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaContentRoot.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependencyScope.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/IdeaDependency.html" target="_top">Frames</a></li>
<li><a href="IdeaDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.tooling.model.idea</div>
<h2 title="Interface IdeaDependency" class="title">Interface IdeaDependency</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/Dependency.html" title="interface in org.gradle.tooling.model">Dependency</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../../org/gradle/tooling/model/idea/IdeaModuleDependency.html" title="interface in org.gradle.tooling.model.idea">IdeaModuleDependency</a>, <a href="../../../../../org/gradle/tooling/model/idea/IdeaSingleEntryLibraryDependency.html" title="interface in org.gradle.tooling.model.idea">IdeaSingleEntryLibraryDependency</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">IdeaDependency</span>
extends <a href="../../../../../org/gradle/tooling/model/Dependency.html" title="interface in org.gradle.tooling.model">Dependency</a></pre>
<div class="block">IDEA dependency.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>1.0-milestone-5</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html#getExported()">getExported</a></strong>()</code>
<div class="block">Allows to check if current dependency is transitive, i.e.<!-- --> is visible to the module which depends on module that has current dependency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependencyScope.html" title="interface in org.gradle.tooling.model.idea">IdeaDependencyScope</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html#getScope()">getScope</a></strong>()</code>
<div class="block">scope of the current dependency.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getScope()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScope</h4>
<pre><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependencyScope.html" title="interface in org.gradle.tooling.model.idea">IdeaDependencyScope</a>&nbsp;getScope()</pre>
<div class="block">scope of the current dependency. Not-<code>null</code> all the time</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>scope</dd></dl>
</li>
</ul>
<a name="getExported()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getExported</h4>
<pre>boolean&nbsp;getExported()</pre>
<div class="block">Allows to check if current dependency is transitive, i.e.<!-- --> is visible to the module which depends on module that has current dependency.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd><code>true</code> if current dependency is transitive; <code>false</code> otherwise</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaContentRoot.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../org/gradle/tooling/model/idea/IdeaDependencyScope.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/IdeaDependency.html" target="_top">Frames</a></li>
<li><a href="IdeaDependency.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
